<?php

use Illuminate\Support\Facades\Route;


Route::get('/clear', function () {

    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    Artisan::call('view:clear');
    Artisan::call('route:clear');

    return "Cleared!";

});
Route::get('/', [App\Http\Controllers\WebsiteController::class, 'home'])->name('/');
Route::get('home', [App\Http\Controllers\WebsiteController::class, 'home'])->name('home');
Route::get('about', [App\Http\Controllers\WebsiteController::class, 'about'])->name('about');
Route::get('contact', [App\Http\Controllers\WebsiteController::class, 'contact'])->name('contact');
Route::post('save_contact_message', [App\Http\Controllers\WebsiteController::class, 'save_contact_message'])->name('save_contact_message');
Route::get('privacy', [App\Http\Controllers\WebsiteController::class, 'privacy'])->name('privacy');
Route::get('terms', [App\Http\Controllers\WebsiteController::class, 'terms'])->name('terms');
Route::get('faq', [App\Http\Controllers\WebsiteController::class, 'faq'])->name('faq');
Route::get('blog', [App\Http\Controllers\WebsiteController::class, 'blog'])->name('blog');
Route::get('Blog+Detail/{slug}', [App\Http\Controllers\WebsiteController::class, 'blogdetails'])->name('blogdetails');
Route::get('hosts', [App\Http\Controllers\WebsiteController::class, 'hosts'])->name('hosts');
Route::get('hostslist', [App\Http\Controllers\WebsiteController::class, 'hostslist'])->name('hostslist');
Route::get('hostsdetail', [App\Http\Controllers\WebsiteController::class, 'hostsdetail'])->name('hostsdetail');
Route::get('subscriptions', [App\Http\Controllers\WebsiteController::class, 'subscriptions'])->name('subscriptions');
Route::get('listings', [App\Http\Controllers\WebsiteController::class, 'listings'])->name('listings');


Route::get('Registration', [App\Http\Controllers\WebsiteController::class, 'register'])->name('register');
Route::post('save_register_user', [App\Http\Controllers\WebsiteController::class, 'save_register_user'])->name('save_register_user');
Route::get('verifyaccount/{id}', [App\Http\Controllers\WebsiteController::class, 'verifyaccount'])->name('verifyaccount');
Route::get('Forget', [App\Http\Controllers\WebsiteController::class, 'forget'])->name('forget');
Route::post('resetpassword', [App\Http\Controllers\WebsiteController::class, 'resetpassword'])->name('resetpassword');
Route::get('Reset+New+Password/{id}/', [App\Http\Controllers\WebsiteController::class, 'resetnewpassword'])->name('resetnewpassword');
Route::post('save+new+password', [App\Http\Controllers\WebsiteController::class, 'saveresetnewpassword'])->name('saveresetnewpassword');
Route::get('login', [App\Http\Controllers\WebsiteController::class, 'login'])->name('login');
Route::post('customerlogin', [App\Http\Controllers\WebsiteController::class, 'customerlogin'])->name('customerlogin');


Route::name('user.')->prefix('user')->group(function () {

    Route::get('/clear', function () {

        Artisan::call('cache:clear');
        Artisan::call('config:clear');
        Artisan::call('config:cache');
        Artisan::call('view:clear');
        Artisan::call('route:clear');

        return "Cleared!";

    });

    Route::middleware(['user-auth'])->group(function () {

        Route::get('/userlogout', [App\Http\Controllers\UserController::class, 'userlogout'])->name('userlogout');
        Route::get('Profile', [App\Http\Controllers\WebsiteController::class, 'profile'])->name('profile');
        Route::post('/updateuserprofile', [App\Http\Controllers\WebsiteController::class, 'updateuserprofile'])->name('updateuserprofile');
        Route::get('Chat', [App\Http\Controllers\WebsiteController::class, 'chat'])->name('chat');

    });

});


Route::name('admin.')->prefix('admin')->group(function () {

    Route::get('/clear', function () {

        Artisan::call('cache:clear');
        Artisan::call('config:clear');
        Artisan::call('config:cache');
        Artisan::call('view:clear');
        Artisan::call('route:clear');

        return "Cleared!";

    });

    Route::match(['get', 'post'], '/login', [App\Http\Controllers\AdminController::class, 'adminLogin'])->name('login');

    Route::middleware(['admin-auth'])->group(function () {

        Route::get('/', [App\Http\Controllers\AdminController::class, 'dashboard'])->name('/');
        Route::get('/Dashboard', [App\Http\Controllers\AdminController::class, 'dashboard'])->name('dashboard');
        Route::get('/Logout', [App\Http\Controllers\AdminController::class, 'logout'])->name('logout');
        Route::get('/setting', [App\Http\Controllers\SettingController::class, 'setting'])->name('setting');
        Route::post('/updatesetting', [App\Http\Controllers\SettingController::class, 'updatesetting'])->name('updatesetting');
        Route::get('/AdminProfile', [App\Http\Controllers\AdminHomeController::class, 'AdminProfile'])->name('AdminProfile');
        Route::post('/updateprofile', [App\Http\Controllers\AdminHomeController::class, 'updateprofile'])->name('updateprofile');

        /**** Manage Language ****/
        Route::get('/setlocale/{id}', [App\Http\Controllers\SettingController::class, 'setlocale'])->name('setlocale');

        /**** Manage Contact Us ****/
        Route::get('/Contact+Messages', [App\Http\Controllers\AdminHomeController::class, 'contact_messages'])->name('contact_messages');
        Route::get('/delete_contact_message/{id}', [App\Http\Controllers\AdminHomeController::class, 'delete_contact_message'])->name('delete_contact_message');

        /**** Manage Subscriptions *****/
        Route::get('/subscriptions', [App\Http\Controllers\SubscriptionController::class, 'index'])->name('subscriptions');
        Route::get('/add+subs+record', [App\Http\Controllers\SubscriptionController::class, 'addsubscription'])->name('addsubscription');
        Route::post('/savesubscription', [App\Http\Controllers\SubscriptionController::class, 'savesubscription'])->name('savesubscription');
        Route::get('/deletesubscription/{id}', [App\Http\Controllers\SubscriptionController::class, 'deletesubscription'])->name('deletesubscription');
        Route::get('/editsubscription/{id}', [App\Http\Controllers\SubscriptionController::class, 'editsubscription'])->name('editsubscription');
        Route::post('/updatesubscription', [App\Http\Controllers\SubscriptionController::class, 'updatesubscription'])->name('updatesubscription');

        /**** Manage Blogs *****/
        Route::get('/blogcategories', [App\Http\Controllers\BlogsController::class, 'blogcategories'])->name('blogcategories');
        Route::post('/saveblogcategory', [App\Http\Controllers\BlogsController::class, 'saveblogcategory'])->name('saveblogcategory');
        Route::post('/updateblogcategory', [App\Http\Controllers\BlogsController::class, 'updateblogcategory'])->name('updateblogcategory');
        Route::get('/deleteblogcategory/{id}', [App\Http\Controllers\BlogsController::class, 'deleteblogcategory'])->name('deleteblogcategory');
        Route::get('/addblogs', [App\Http\Controllers\BlogsController::class, 'addblogs'])->name('addblogs');
        Route::post('/saveblogs', [App\Http\Controllers\BlogsController::class, 'saveblogs'])->name('saveblogs');
        Route::get('/blogslist', [App\Http\Controllers\BlogsController::class, 'blogslist'])->name('blogslist');
        Route::get('/deleteblog/{id}', [App\Http\Controllers\BlogsController::class, 'deleteblog'])->name('deleteblog');
        Route::get('/editblog/{id}', [App\Http\Controllers\BlogsController::class, 'editblog'])->name('editblog');
        Route::post('/updateblogs', [App\Http\Controllers\BlogsController::class, 'updateblogs'])->name('updateblogs');
        Route::get('/editimages/{id}', [App\Http\Controllers\BlogsController::class, 'editimages'])->name('editimages');
        Route::post('/savesblogimage', [App\Http\Controllers\BlogsController::class, 'savesblogimage'])->name('savesblogimage');
        Route::post('/updateblogimage', [App\Http\Controllers\BlogsController::class, 'updateblogimage'])->name('updateblogimage');
        Route::get('/deleteblogimage/{id}', [App\Http\Controllers\BlogsController::class, 'deleteblogimage'])->name('deleteblogimage');


    });
});

