<?php
$system = App\Models\Setting::first();
?>
        <!doctype html>
<html class="no-js" lang="zxx">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title><?php echo e($system->name); ?> <?php echo $__env->yieldContent('title'); ?></title>
    <meta name="author" content="Webtrip">
    <meta name="description" content="Webtrip">
    <meta name="keywords" content="Webtrip">
    <meta name="robots" content="INDEX,FOLLOW">
    <meta name="viewport" content="width=device-width,initial-scale=1,shrink-to-fit=no">
    <link rel="apple-touch-icon" sizes="57x57" href="<?php echo e(URL::asset('admin/assets/uploads/'.$system->favicon)); ?>">
    <link rel="apple-touch-icon" sizes="60x60" href="<?php echo e(URL::asset('admin/assets/uploads/'.$system->favicon)); ?>">
    <link rel="apple-touch-icon" sizes="72x72" href="<?php echo e(URL::asset('admin/assets/uploads/'.$system->favicon)); ?>">
    <link rel="apple-touch-icon" sizes="76x76" href="<?php echo e(URL::asset('admin/assets/uploads/'.$system->favicon)); ?>">
    <link rel="apple-touch-icon" sizes="114x114" href="<?php echo e(URL::asset('admin/assets/uploads/'.$system->favicon)); ?>">
    <link rel="apple-touch-icon" sizes="120x120" href="<?php echo e(URL::asset('admin/assets/uploads/'.$system->favicon)); ?>">
    <link rel="apple-touch-icon" sizes="144x144" href="<?php echo e(URL::asset('admin/assets/uploads/'.$system->favicon)); ?>">
    <link rel="apple-touch-icon" sizes="152x152" href="<?php echo e(URL::asset('admin/assets/uploads/'.$system->favicon)); ?>">
    <link rel="apple-touch-icon" sizes="180x180" href="<?php echo e(URL::asset('admin/assets/uploads/'.$system->favicon)); ?>">
    <link rel="icon" type="image/png" sizes="192x192" href="<?php echo e(URL::asset('admin/assets/uploads/'.$system->favicon)); ?>">
    <link rel="icon" type="image/png" sizes="32x32" href="<?php echo e(URL::asset('admin/assets/uploads/'.$system->favicon)); ?>">
    <link rel="icon" type="image/png" sizes="96x96" href="<?php echo e(URL::asset('admin/assets/uploads/'.$system->favicon)); ?>">
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e(URL::asset('admin/assets/uploads/'.$system->favicon)); ?> ">
    <link rel="manifest" href="<?php echo e(URL::asset('website/images/favicons/manifest.json')); ?>">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="<?php echo e(URL::asset('website/images/favicons/ms-icon-144x144.png')); ?>">
    <meta name="theme-color" content="#ffffff">
    <link rel="preconnect" href="https://fonts.googleapis.com/">
    <link rel="preconnect" href="https://fonts.gstatic.com/" crossorigin>
    <link rel="preconnect" href="https://fonts.googleapis.com/">
    <link rel="preconnect" href="https://fonts.gstatic.com/" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@100..900&amp;family=Manrope:wght@200..800&amp;family=Montez&amp;display=swap"
          rel="stylesheet">
    <link rel="stylesheet" href="<?php echo e(URL::asset('website/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(URL::asset('website/css/fontawesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(URL::asset('website/css/magnific-popup.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(URL::asset('website/css/swiper-bundle.min.css')); ?> ">
    <link rel="stylesheet" href="<?php echo e(URL::asset('website/css/style.css')); ?>">
</head>

<body>
<?php echo $__env->make('admin.layout.loader', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="magic-cursor relative z-10">
    <div class="cursor"></div>
    <div class="cursor-follower"></div>
</div>

<div class="th-menu-wrapper onepage-nav">
    <div class="th-menu-area text-center">
        <button class="th-menu-toggle"><i class="fal fa-times"></i></button>
        <div class="mobile-logo">
            <a href="<?php echo e(route('/')); ?>">
                <img src="<?php echo e(URL::asset('/admin/assets/uploads/'.$system->logo)); ?>" alt="<?php echo e($system->name); ?>">
            </a>
        </div>
        <div class="th-mobile-menu">
            <ul>
                <li><a class="active" href="<?php echo e(route('home')); ?>"><?php echo e(__('language.home')); ?></a></li>
                <li><a href="<?php echo e(route('about')); ?>"><?php echo e(__('language.about_us')); ?></a></li>
                <li class="menu-item-has-children"><a href="#"><?php echo e(__('language.how_it_works')); ?></a>
                    <ul class="sub-menu">
                        <li><a href="<?php echo e(route('hosts')); ?>">Solo <?php echo e(__('language.solo_traveller')); ?></a></li>
                        <li><a href="<?php echo e(route('hosts')); ?>"><?php echo e(__('language.travelling_couples')); ?></a></li>
                        <li><a href="<?php echo e(route('hosts')); ?>"><?php echo e(__('language.travelling_families')); ?></a></li>
                    </ul>
                </li>
                <li><a href="<?php echo e(route('subscriptions')); ?>"><?php echo e(__('language.subscriptions')); ?></a></li>
                <li><a href="<?php echo e(route('blog')); ?>"><?php echo e(__('language.blogs')); ?></a></li>
                <li><a href="<?php echo e(route('contact')); ?>"><?php echo e(__('language.contact_us')); ?></a></li>
                <?php if(Auth::guard('web')->check()): ?>
                    <li class="menu-item-has-children"><a href="#"><?php echo e(Auth::guard('web')->user()->name); ?></a>
                        <ul class="sub-menu">
                            <li><a href="<?php echo e(route('user.chat')); ?>">Chat</a></li>
                            <li><a href="<?php echo e(route('user.chat')); ?>">Subscription History</a></li>
                            <li><a href="<?php echo e(route('user.profile')); ?>">Profile</a></li>
                            <li><a href="<?php echo e(route('user.userlogout')); ?>">Logout</a></li>
                        </ul>
                    </li>
                <?php else: ?>
                    <li><a href="<?php echo e(route('login')); ?>"><?php echo e(__('language.login')); ?></a></li>
                <?php endif; ?>
            </ul>
        </div>
    </div>
</div>
<header class="th-header header-layout1">
    <div class="header-top">
        <div class="container th-container">
            <div class="row justify-content-center justify-content-xl-between align-items-center">
                <div class="col-auto d-none d-md-block">
                    <div class="header-links">
                        <ul>
                            <li class="d-none d-xl-inline-block"><i class="fa-sharp fa-regular fa-location-dot"></i>
                                <span><?php echo e($system->location); ?></span></li>
                            <li class="d-none d-xl-inline-block"><i class="fa-regular fa-phone-alt"></i>
                                <span><?php echo e($system->phone); ?></span>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-auto">
                    <div class="header-right">
                        <div class="header-links">
                            <ul>
                                <li class="d-none d-md-inline-block"><a href=""> <i
                                                class="fa-regular fa-check-circle"></i> English</a></li>
                                <li class="d-none d-md-inline-block"><a href="">Italian</a></li>

                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="sticky-wrapper">
        <div class="menu-area">
            <div class="container th-container">
                <div class="row align-items-center justify-content-between">
                    <div class="col-auto">
                        <div class="header-logo">
                            <a href="<?php echo e(route('home')); ?>"><img
                                        src="<?php echo e(URL::asset('/admin/assets/uploads/'.$system->logo)); ?>"
                                        alt="Webtrip"></a>
                        </div>
                    </div>
                    <div class="col-auto ">
                        <nav class="main-menu d-none d-xl-inline-block">
                            <ul>
                                <li><a class="active" href="<?php echo e(route('home')); ?>"><?php echo e(__('language.home')); ?></a></li>
                                <li><a href="<?php echo e(route('about')); ?>"><?php echo e(__('language.about_us')); ?></a></li>
                                <li class="menu-item-has-children"><a href="#"><?php echo e(__('language.how_it_works')); ?></a>
                                    <ul class="sub-menu">
                                        <li><a href="<?php echo e(route('hosts')); ?>"><?php echo e(__('language.solo_traveller')); ?></a></li>
                                        <li><a href="<?php echo e(route('hosts')); ?>"><?php echo e(__('language.travelling_couples')); ?></a>
                                        </li>
                                        <li><a href="<?php echo e(route('hosts')); ?>"><?php echo e(__('language.travelling_families')); ?></a>
                                        </li>
                                    </ul>
                                </li>
                                <li><a href="<?php echo e(route('subscriptions')); ?>"><?php echo e(__('language.subscriptions')); ?></a></li>
                                <li><a href="<?php echo e(route('blog')); ?>"><?php echo e(__('language.blogs')); ?></a></li>
                                <li><a href="<?php echo e(route('contact')); ?>"><?php echo e(__('language.contact_us')); ?></a></li>
                                <?php if(Auth::guard('web')->check()): ?>
                                    <li class="menu-item-has-children"><a
                                                href="#"><?php echo e(Auth::guard('web')->user()->name); ?></a>
                                        <ul class="sub-menu">
                                            <li><a href="<?php echo e(route('user.chat')); ?>">Chat</a></li>
                                            <li><a href="<?php echo e(route('user.chat')); ?>">Subscription History</a></li>
                                            <li><a href="<?php echo e(route('user.profile')); ?>">Profile</a></li>
                                            <li><a href="<?php echo e(route('user.userlogout')); ?>">Logout</a></li>
                                        </ul>
                                    </li>
                                <?php else: ?>
                                    <li><a href="<?php echo e(route('login')); ?>"><?php echo e(__('language.login')); ?></a></li>
                                <?php endif; ?>
                            </ul>
                        </nav>
                        <button type="button" class="th-menu-toggle d-block d-xl-none"><i class="far fa-bars"></i>
                        </button>
                    </div>
                    <div class="col-auto d-none d-xl-block">
                        <div class="header-button">
                            <div class="col-auto d-none d-xl-block">
                                <?php if(!Auth::guard('web')->check()): ?>
                                    <div><a href="<?php echo e(route('register')); ?>"
                                            class=" th-btn style3"><?php echo e(__('language.join_now')); ?></a></div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <div class="logo-bg" data-mask-src="<?php echo e(URL::asset('website/images/logo_bg_mask.png')); ?>"></div>
        </div>
    </div>
</header>
<?php /**PATH /home/lovekbkg/public_html/WorldTrip/resources/views/website/layout/header.blade.php ENDPATH**/ ?>